package com.jasamedika.medifirst2000.vo;

import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DestroyProdukPetugas
 * 
 * @author Generator
 */
public class DestroyProdukPetugasVO extends BaseTransactionVO {
	
	@Caption(value="Deskripsi Tugas Fungsi")
	private String deskripsiTugasFungsi;

	@Caption(value="Is Petugas Pe P Jawab")
	private Byte isPetugasPepJawab;

	@ManyToOne
	@NotNull(message="Object Jenis Petugas Pe Harus Diisi")
	@Caption(value="Object Jenis Petugas Pe")
	private JenisPetugasPelaksanaVO jenisPetugasPelaksana;

	@ManyToOne
	@NotNull(message="Object Pegawai Harus Diisi")
	@Caption(value="Object Pegawai")
	private PegawaiVO pegawai;

	@ManyToOne
	@NotNull(message="No Histori Harus Diisi")
	@Caption(value="No Histori")
	private StrukHistoriVO strukHistory;

	public String getDeskripsiTugasFungsi() {
		return deskripsiTugasFungsi;
	}

	public void setDeskripsiTugasFungsi(String deskripsiTugasFungsi) {
		this.deskripsiTugasFungsi = deskripsiTugasFungsi;
	}

	public Byte getIsPetugasPepJawab() {
		return isPetugasPepJawab;
	}

	public void setIsPetugasPepJawab(Byte isPetugasPepJawab) {
		this.isPetugasPepJawab = isPetugasPepJawab;
	}

	public JenisPetugasPelaksanaVO getJenisPetugasPelaksana() {
		return jenisPetugasPelaksana;
	}

	public void setJenisPetugasPelaksana(JenisPetugasPelaksanaVO jenisPetugasPelaksana) {
		this.jenisPetugasPelaksana = jenisPetugasPelaksana;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public StrukHistoriVO getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistoriVO strukHistory) {
		this.strukHistory = strukHistory;
	}



}

